Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class SearchTarget

    java.lang.Object
      oracle.ifs.server.SearchTarget

    public final class SearchTarget

extends java.lang.Object

A SearchTarget encapsulates the information about a class used for search purposes.

Constructor Summary
`SearchTarget(java.lang.Long targetClassId, java.lang.String alias, boolean isPublic)` Constructs an SearchTarget.
`SearchTarget(java.lang.Long targetClassId, java.lang.String alias, boolean isPublic, java.lang.String viewName)` Constructs an SearchTarget.

Method Summary
`java.lang.String` | `getAlias()` Gets the search target alias.
`java.lang.Long` | `getTargetClassId()` Gets the search target class ID.
`java.lang.String` | `getViewName()` Gets the view name to select against.
`boolean` | `isPublicObjectClass()` Gets whether the search target is for a PublicObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchTarget

    public SearchTarget(java.lang.Long targetClassId,
                        java.lang.String alias,
                        boolean isPublic)

  Constructs an SearchTarget.

  Parameters:
    `targetClassId` - the search target class ID
    `alias` - the search target alias
    `isPublic` - whether the search target is for a PublicObject

### SearchTarget

    public SearchTarget(java.lang.Long targetClassId,
                        java.lang.String alias,
                        boolean isPublic,
                        java.lang.String viewName)

  Constructs an SearchTarget.

  Parameters:
    `targetClassId` - the search target class ID
    `alias` - the search target alias
    `isPublic` - whether the search target is for a PublicObject
    `viewName` - the view name to select against

Method Detail

### getTargetClassId

    public java.lang.Long getTargetClassId()

  Description copied from class: `SearchTarget`
  Gets the search target class ID.

  Returns:
    the search target class ID

### getAlias

    public java.lang.String getAlias()

  Description copied from class: `SearchTarget`
  Gets the search target alias.

  Returns:
    the search target alias.

### isPublicObjectClass

    public boolean isPublicObjectClass()

  Description copied from class: `SearchTarget`
  Gets whether the search target is for a PublicObject.

  Returns:
    true if the search target is for a PublicObject; false otherwise

### getViewName

    public java.lang.String getViewName()

  Description copied from class: `SearchTarget`
  Gets the view name to select against.

  Returns:
    the view name to select against.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD